aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Preud'homme <thomas.preudhomme@celest.fr>2010-05-26 13:45:16 +0200
committerThomas Preud'homme <thomas.preudhomme@celest.fr>2010-05-26 14:08:29 +0200
commitdc265feb63c70a1a76fb566a6c05fe62246b65a0 (patch)
treed687e00b4f4456cdaea0bb2cd982d6f63eae6f3a
parenta867f4259774eb55ac3c34a83df5cc705c266295 (diff)
downloadtinycc-dc265feb63c70a1a76fb566a6c05fe62246b65a0.tar.gz
tinycc-dc265feb63c70a1a76fb566a6c05fe62246b65a0.tar.bz2
Fix bashims in configure and gcctestsuite.sh.
configure and gcctestsuite.sh shell scripts contains bashisms although being bourne shell script. This patch fixes the following bashisms: * Use of $RANDOM variable (replaced by reading in /dev/urandom) * Use == in tests instead of just = * Use $[] for arithmetic computation istead of $(())
-rwxr-xr-xconfigure20
-rw-r--r--tests/gcctestsuite.sh8
2 files changed, 19 insertions, 9 deletions
diff --git a/configure b/configure
index a550302..b3de471 100755
--- a/configure
+++ b/configure
@@ -11,11 +11,21 @@ else
TMPDIR1="/tmp"
fi
-TMPC="${TMPDIR1}/tcc-conf-${RANDOM}-$$-${RANDOM}.c"
-TMPO="${TMPDIR1}/tcc-conf-${RANDOM}-$$-${RANDOM}.o"
-TMPE="${TMPDIR1}/tcc-conf-${RANDOM}-$$-${RANDOM}"
-TMPS="${TMPDIR1}/tcc-conf-${RANDOM}-$$-${RANDOM}.S"
-TMPH="${TMPDIR1}/tcc-conf-${RANDOM}-$$-${RANDOM}.h"
+RDM1="$(dd if=/dev/urandom count=1 2> /dev/null | cksum | cut -f1 -d" " )"
+RDM2="$(dd if=/dev/urandom count=1 2> /dev/null | cksum | cut -f1 -d" " )"
+TMPC="${TMPDIR1}/tcc-conf-${RDM1}-$$-${RDM2}.c"
+RDM1="$(dd if=/dev/urandom count=1 2> /dev/null | cksum | cut -f1 -d" " )"
+RDM2="$(dd if=/dev/urandom count=1 2> /dev/null | cksum | cut -f1 -d" " )"
+TMPO="${TMPDIR1}/tcc-conf-${RDM1}-$$-${RDM2}.o"
+RDM1="$(dd if=/dev/urandom count=1 2> /dev/null | cksum | cut -f1 -d" " )"
+RDM2="$(dd if=/dev/urandom count=1 2> /dev/null | cksum | cut -f1 -d" " )"
+TMPE="${TMPDIR1}/tcc-conf-${RDM1}-$$-${RDM2}"
+RDM1="$(dd if=/dev/urandom count=1 2> /dev/null | cksum | cut -f1 -d" " )"
+RDM2="$(dd if=/dev/urandom count=1 2> /dev/null | cksum | cut -f1 -d" " )"
+TMPS="${TMPDIR1}/tcc-conf-${RDM1}-$$-${RDM2}.S"
+RDM1="$(dd if=/dev/urandom count=1 2> /dev/null | cksum | cut -f1 -d" " )"
+RDM2="$(dd if=/dev/urandom count=1 2> /dev/null | cksum | cut -f1 -d" " )"
+TMPH="${TMPDIR1}/tcc-conf-${RDM1}-$$-${RDM2}.h"
# default parameters
build_cross="no"
diff --git a/tests/gcctestsuite.sh b/tests/gcctestsuite.sh
index bd9204b..f3cc538 100644
--- a/tests/gcctestsuite.sh
+++ b/tests/gcctestsuite.sh
@@ -8,11 +8,11 @@ nb_failed="0"
for src in $TESTSUITE_PATH/compile/*.c ; do
echo $TCC -o /tmp/test.o -c $src
$TCC -o /tmp/test.o -c $src >> tcc.log 2>&1
- if [ "$?" == "0" ] ; then
+ if [ "$?" = "0" ] ; then
result="PASS"
else
result="FAIL"
- nb_failed=$[ $nb_failed + 1 ]
+ nb_failed=$(( $nb_failed + 1 ))
fi
echo "$result: $src" >> tcc.sum
done
@@ -20,11 +20,11 @@ done
for src in $TESTSUITE_PATH/execute/*.c ; do
echo $TCC $src
$TCC $src >> tcc.log 2>&1
- if [ "$?" == "0" ] ; then
+ if [ "$?" = "0" ] ; then
result="PASS"
else
result="FAIL"
- nb_failed=$[ $nb_failed + 1 ]
+ nb_failed=$(( $nb_failed + 1 ))
fi
echo "$result: $src" >> tcc.sum
done